## papers 48~beta

=== meson_options.txt ===
option('profile', type: 'combo', choices: ['default', 'devel'], value: 'default', description: 'whether this is a development build')

option('viewer', type: 'boolean', value: true, description: 'whether Viewer support is requested')
option('previewer', type: 'boolean', value: true, description: 'whether Previewer support is requested')
option('thumbnailer', type: 'boolean', value: true, description: 'whether Thumbnailer support is requested')
option('nautilus', type: 'boolean', value: true, description: 'whether Nautilus support is requested')

option('comics', type: 'feature', value: 'auto', description: 'whether Comics support is requested')
option('djvu', type: 'feature', value: 'auto', description: 'whether DJVU support is requested')
option('pdf', type: 'feature', value: 'enabled', description: 'whether PDF support is requested')
option('tiff', type: 'feature', value: 'auto', description: 'whether TIFF support is requested')

option('tests', type: 'boolean', value: true, description: 'whether to build tests')
option('documentation', type: 'boolean', value: true, description: 'whether developer documentation reference is requested. Requires gi-docgen')
option('user_doc', type: 'boolean', value: true, description: 'whether User documentation is requested')
option('introspection', type: 'feature', value: 'auto', description : 'Build introspection data (requires gobject-introspection)')
option('keyring', type: 'feature', value: 'enabled', description: 'whether keyring support is requested')
option('gtk_unix_print', type: 'feature', value: 'auto', description: 'whether gtk+-unix-print support is requested')
option('spell_check', type: 'feature', value: 'auto', description: 'whether spell check support is requested')

## papers 47.3

=== debian/changelog ===
papers (47.3-1) unstable; urgency=medium

  * New upstream release
  * Build with rust-env-logger 0.11
  * Remove 3 patches applied in new release
  * Add patch to disable appstream validate test that is currently failing

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 17:17:24 -0500

papers (47.0-1) unstable; urgency=medium

  * Rework packaging for Papers (evince fork)
  * Initial release (Closes: #1072679)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 19 Nov 2024 12:51:13 +0100

evince (45.0-2) unstable; urgency=medium

  * Stop using debian/control.in and dh_gnome_clean
  * Release to unstable (Closes: #1062541)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 21:28:15 -0500

evince (45.0-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Feb 2024 21:20:15 +0000

evince (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 18:17:11 -0400

evince (45~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 08:51:08 -0400

evince (45~alpha-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 20:07:41 -0400

evince (45~alpha-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum poppler to 22.05
  * debian/control.in: Don't Build-Depend on adwaita-icon-theme
  * debian/evince.install: Drop long obsolete gconf migration file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 11:40:22 -0400

evince (44.3-3) unstable; urgency=high

  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 13:46:39 -0400

evince (44.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:13:05 -0400

evince (44.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- jardon <jarred.wilson@canonical.com>  Wed, 12 Jul 2023 13:32:28 -0400

evince (44.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - data:
      + Fix years on 44.x releases
        (https://gitlab.gnome.org/GNOME/evince/-/issues/1950,
        Germán Poo-Caamaño)
    - shell:
      + Fix crash when instantiating .ui template
        (https://gitlab.gnome.org/GNOME/evince/-/issues/1930,
        Nelson Benítez León)
      + Fix restoring close button after fullscreen
        (https://gitlab.gnome.org/GNOME/evince/-/issues/1929,
        Nelson Benítez León)
  * Update standards version to 4.6.2, no changes needed

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 21 Jun 2023 00:39:39 -0400

evince (44.1-2) experimental; urgency=medium

  [ Georgia Garcia ]
  * Allow evince to spawn browsers distributed as snaps (LP: #1794064)
    - debian/apparmor-profile: include snap-browsers abstracted profile
      and allow transitions to them in evince
  * Note that this fix requires a corresponding change in apparmor

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 15:20:51 -0400

evince (44.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.59.0
  * debian/control.in: Build-Depend on desktop-file-utils

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 07:02:08 -0400

evince (43.1-2) unstable; urgency=medium

  [ Andrej Shadura ]
  * Print dialog requires access to libproxy’s pxgsettings (Closes: #1002725)
    (LP: #1915910)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Dec 2022 11:20:50 +0100

evince (43.1-1) unstable; urgency=medium

  [ Anders Jonsson ]
  * debian/apparmor-profile: Allow .cbt files for thumbnailer

  [ Andreas Henriksson ]
  * New upstream release
  * Drop override, nautilus extension now disabled by default

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 04 Dec 2022 13:56:51 +0100

evince (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57.0

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:08:47 -0400

evince (43~alpha-1) unstable; urgency=medium

  * New upstream release
  * Stop building Nautilus extension becuase
    Nautilus 43 uses gtk4 but evince still uses gtk3
  * debian/*.symbols: Add new symbols
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Aug 2022 14:30:09 -0400

evince (42.3-2) unstable; urgency=medium

  [ Sebastien Bacher ]
   * debian/apparmor-profile:
    - authorize the new at-spi socket location (LP: #1978838)

  [ Jeremy Bicha ]
  * Cherry-pick patch to fix build with gnome-desktop 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 09:45:11 -0400

evince (42.3-1) unstable; urgency=medium

  * New upstream release (LP: #1975489)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 23 May 2022 08:26:52 -0400

evince (42.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Apr 2022 09:23:50 -0400

evince (42.1-3) unstable; urgency=medium

  * Cherry-pick commits from gnome-42 branch up to April 10:
    - Translation updates
    - Fix a user-after-free in the comics backend (LP: #1968903)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Apr 2022 12:43:04 -0400

evince (42.1-2) unstable; urgency=medium

  * debian/control.in: Bump minimum libarchive to 3.6.0
  * Drop libarchive revert commits (LP: #1967127)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Mar 2022 08:17:47 -0400

evince (42.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 08:20:48 -0400

evince (42.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable



=== debian/control ===
Source: papers
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Arnaud Ferraris <aferraris@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>,
Build-Depends: appstream <!nocheck>,
               debhelper-compat (= 13),
               desktop-file-utils,
               dh-apparmor,
               dh-cargo,
               dh-sequence-gir,
               gobject-introspection (>= 1.0),
               gsettings-desktop-schemas-dev,
               gi-docgen (>= 2021.1) <!nodoc>,
               gir1.2-gdk-4.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-4.0-dev,
               gir-rust-code-generator,
               itstool,
               libadwaita-1-dev (>= 1.6.0),
               libarchive-dev (>= 3.6.0),
               libcairo2-dev (>= 1.14.0),
               libdjvulibre-dev (>= 2.0),
               libexempi-dev (>= 2.0),
               libgdk-pixbuf-2.0-dev (>= 2.40),
               libgirepository1.0-dev (>= 1.0),
               libglib2.0-dev (>= 2.75),
               libgtk-4-dev (>= 4.15.2),
               libnautilus-extension-dev (>= 43),
               libpoppler-glib-dev (>= 23.07.0),
               librust-bitflags-2-dev,
               librust-env-logger-0.11-dev,
               librust-futures-0.3-dev,
               librust-gettext-rs-0.7+gettext-system-dev,
               librust-glib-0.20+v2-68-dev,
               librust-gtk4-0.9+v4-12-dev,
               librust-libadwaita-0.7+v1-5-dev,
               librust-libc-0.2-dev,
               librust-log-0.4-dev,
               librust-lru-0.12-dev,
               librust-oo7-0.3-dev,
               librust-shell-words-1-dev,
               librust-system-deps-7-dev,
               librust-tempfile-3-dev <!nocheck>,
               libtiff-dev (>= 4),
               meson (>= 0.59.0),
               rustfmt,
               xmlstarlet,
               zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/papers
Vcs-Git: https://salsa.debian.org/gnome-team/papers.git
Homepage: https://apps.gnome.org/Papers/

Package: papers
Architecture: any
Depends: papers-common (>= ${source:Version}),
         gsettings-desktop-schemas,
         libppsdocument-4.0-5 (= ${binary:Version}),
         libppsview-4.0-4 (= ${binary:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: djvu-viewer,
          pdf-viewer,
          postscript-viewer
Suggests: gvfs,
          nautilus-sendto,
          poppler-data,
          unrar
Enhances: nautilus
Description: Document (PostScript, PDF) viewer
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.

Package: papers-common
Architecture: all
Depends: ${misc:Depends}
Description: Document (PostScript, PDF) viewer - common files
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.
 .
 This package contains architecture-independent files for papers.

Package: libppsdocument-4.0-5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Document (Comic Books, DjVu, PDF) rendering library
 This package contains libppsdocument, which performs the rendering of the
 documents.
 .
 It ships with a pdf, tiff, djvu, and comics backend.

Package: libppsview-4.0-4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Document (Comic Books, DjVu, PDF) rendering library - Gtk+ widgets
 This package contains libppsview, which provides GTK+ widgets for displaying
 documents.

Package: libpapers-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${gir:Depends},
         libadwaita-1-dev,
         libppsdocument-4.0-5 (= ${binary:Version}),
         libppsview-4.0-4 (= ${binary:Version}),
         ${misc:Depends},
Provides: ${gir:Provides},
Description: Document (Comic Books, DjVu, PDF) rendering library - development files
 This package contains papers-related libraries for rendering and displaying
 Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
 Portable Document Format (PDF) and TIFF files.
 * libppsdocument, which performs the rendering of the documents
 * libppsview, which provides GTK+ widgets for displaying documents
 .
 This package provides the development files.

Package: libpapers-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Suggests: devhelp
Description: Document (Comic Books, DjVu, PDF) rendering library - documentation
 This package contains papers-related libraries for rendering and displaying
 Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
 Portable Document Format (PDF) and TIFF files.
 * libppsdocument, which performs the rendering of the documents
 * libppsview, which provides GTK+ widgets for displaying documents
 .
 This package provides the developers' documentation.

Package: gir1.2-papers-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Description: GObject introspection data for the papers libraries
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.
 .
 This package contains introspection data for the libppsview and
 libppsdocument libraries. It can be used by packages using the
 GIRepository format to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export PATH := /usr/share/cargo/bin:$(PATH)

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_SOURCE_DIR=$(CURDIR)

ifeq ($(DEB_HOST_ARCH_BITS),32)
    export DEB_BUILD_OPTIONS += optimize=-lto
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
    PAPERS_BUILD_DOC=true
else
    PAPERS_BUILD_DOC=false
endif

%:
	dh $@

execute_after_dh_auto_clean:
	$(CARGO) -C $(CURDIR)/shell-rs -Z unstable-options clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

override_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f .cargo/config shell-rs/Cargo.lock
	dh_auto_configure -- \
		-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
		-Dauto_features=enabled \
		-Dxps=disabled \
		-Ddocumentation=$(PAPERS_BUILD_DOC)

# prepare dependencies so we can regenerate the Rust bindings source code during build
# applying debian patches and upstream xmlstarlet fixes taken from upstream here: https://github.com/gtk-rs/gir-files/blob/master/fix.sh
execute_before_dh_auto_build:
	rm -f $(CURDIR)/shell-rs/ev-girs/*.gir
	cp /usr/share/gir-1.0/GLib-2.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/Gdk-4.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/GdkPixbuf-2.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/GModule-2.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/Gio-2.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/Adw-1.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/GObject-2.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/Pango-1.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/HarfBuzz-0.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/freetype2-2.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/cairo-1.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/PangoCairo-1.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/Gtk-4.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/Gsk-4.0.gir $(CURDIR)/shell-rs/ev-girs
	cp /usr/share/gir-1.0/Graphene-1.0.gir $(CURDIR)/shell-rs/ev-girs
	xmlstarlet ed -L \
	-u '//_:parameter[@name="response_id"]/_:type[@name="gint"]/@c:type' -v "GtkResponseType" \
	-u '//_:parameter[@name="response_id"]/_:type[@name="gint"]/@name' -v "ResponseType" \
	$(CURDIR)/shell-rs/ev-girs/Gtk-4.0.gir
	xmlstarlet ed -L \
	-d '///_:alias[@name="Int32"]' \
	$(CURDIR)/shell-rs/ev-girs/freetype2-2.0.gir
	xmlstarlet ed -L \
	-i '///_:type[not(@name) and @c:type="hb_font_t*"]' -t 'attr' -n 'name' -v "gconstpointer" \
	-u '//_:type[@c:type="hb_font_t*"]/@c:type' -v "gconstpointer" \
	-i '///_:array[not(@name) and @c:type="hb_feature_t*"]' -t 'attr' -n 'name' -v "gconstpointer" \
	-r '///_:array[@c:type="hb_feature_t*"]' -v "type" \
	-d '//_:type[@c:type="hb_feature_t*"]/*' \
	-d '//_:type[@c:type="hb_feature_t*"]/@length' \
	-d '//_:type[@c:type="hb_feature_t*"]/@zero-terminated' \
	-u '//_:type[@c:type="hb_feature_t*"]/@c:type' -v "gconstpointer" \
	-d '//_:record[@c:type="PangoGlyphVisAttr"]/_:field/@bits' \
	-d '//_:record[@c:type="PangoGlyphVisAttr"]/_:field[@name="is_color"]' \
	$(CURDIR)/shell-rs/ev-girs/Pango-1.0.gir
	xmlstarlet ed -L \
	-u '//*[@glib:error-domain="g-option-context-error-quark"]/@glib:error-domain' -v g-option-error-quark \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_boolean_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gboolean*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_double_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gdouble*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_integer_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gint*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_locale_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
	$(CURDIR)/shell-rs/ev-girs/GLib-2.0.gir
	xmlstarlet ed -L \
	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="names"]/_:array/@c:type' -v "const gchar**" \
	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="values"]/_:array/@c:type' -v "GValue*" \
	-u '//_:class[@name="Object"]/_:method[@name="setv"]//_:parameter[@name="names"]/_:array/@c:type' -v "const gchar**" \
	-u '//_:class[@name="Object"]/_:method[@name="setv"]//_:parameter[@name="values"]/_:array/@c:type' -v "const GValue*" \
	-u '//_:class[@name="Object"]/_:constructor[@name="new_with_properties"]//_:parameter[@name="names"]/_:array/@c:type' -v "const char**" \
	-u '//_:class[@name="Object"]/_:constructor[@name="new_with_properties"]//_:parameter[@name="values"]/_:array/@c:type' -v "const GValue*" \
	-i '//_:interface[@name="TypePlugin" and not(@glib:type-struct)]' -t 'attr' -n 'glib:type-struct' -v 'TypePluginClass' \
	-i '//_:record[@name="TypePluginClass" and not(@glib:is-gtype-struct-for)]' -t 'attr' -n 'glib:is-gtype-struct-for' -v 'TypePlugin' \
	$(CURDIR)/shell-rs/ev-girs/GObject-2.0.gir
	xmlstarlet ed -L \
	-u '//_:record[@name="PixbufModule"]/_:field[@name="module"]/_:type/@name' -v "gpointer" \
	-u '//_:record[@name="PixbufModule"]/_:field[@name="module"]/_:type/@c:type' -v "gpointer" \
	$(CURDIR)/shell-rs/ev-girs/GdkPixbuf-2.0.gir
	xmlstarlet ed -L \
	-d '///_:function[@c:identifier="hb_graphite2_face_get_gr_face"]' \
	-d '///_:function[@c:identifier="hb_graphite2_font_get_gr_font"]' \
	-d '///_:function[@c:identifier="hb_ft_face_create"]' \
	-d '///_:function[@c:identifier="hb_ft_face_create_cached"]' \
	-d '///_:function[@c:identifier="hb_ft_face_create_referenced"]' \
	-d '///_:function[@c:identifier="hb_ft_font_create"]' \
	-d '///_:function[@c:identifier="hb_ft_font_create_cached"]' \
	-d '///_:function[@c:identifier="hb_ft_font_create_referenced"]' \
	-d '///_:function[@c:identifier="hb_ft_font_get_face"]' \
	-d '///_:function[@c:identifier="hb_ft_font_lock_face"]' \
	$(CURDIR)/shell-rs/ev-girs/HarfBuzz-0.0.gir

override_dh_makeshlibs:
	dh_makeshlibs \
		-X /usr/lib/$(DEB_HOST_MULTIARCH)/papers/

execute_after_dh_install:
	install -m 0644 -D debian/apparmor-profile debian/papers/etc/apparmor.d/usr.bin.papers
	install -m 0644 -D debian/apparmor-profile.abstraction debian/papers/etc/apparmor.d/abstractions/papers
	install -m 0644 -D debian/papers.apport debian/papers/usr/share/apport/package-hooks/source_papers.py
	dh_apparmor --profile-name=usr.bin.papers -ppapers

override_dh_gnome_clean:

=== debian/tests/control ===
Tests: libpapers-dev
Depends: build-essential,
         dbus,
         libpapers-dev,
         xauth,
         xvfb,
Restrictions: allow-stderr superficial

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://gitlab.gnome.org/GNOME/Incubator/@PACKAGE@/-/tags?sort=updated_desc \
	/GNOME/Incubator/@PACKAGE@/-/archive/[\d\.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## papers 48~beta

=== debian/changelog ===
papers (48~beta-3) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * debian: add salsa-ci.yml

  [ Jeremy Bícha ]
  * Run wrap-and-sort
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 21:06:33 -0500

papers (48~beta-2) experimental; urgency=medium

  * Remove mention of PostScript from the package description
  * Upload to experimental

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Feb 2025 07:18:58 -0500

papers (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GTK4 & poppler
  * Add Build-Depends: libspelling-1-dev
  * Update symbols files
  * Add patch to lower poppler dependency to Debian's patched version
  * Remove disable appstream patch: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Feb 2025 23:57:56 -0500

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,25 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Arnaud Ferraris <aferraris@debian.org>,
+Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
-           Marco Trevisan (Treviño) <marco@ubuntu.com>,
-Build-Depends: appstream <!nocheck>,
-               debhelper-compat (= 13),
-               desktop-file-utils,
+           Marco Trevisan (Treviño) <marco@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dh-cargo,
                dh-sequence-gir,
-               gobject-introspection (>= 1.0),
-               gsettings-desktop-schemas-dev,
+               appstream,
+               desktop-file-utils,
                gi-docgen (>= 2021.1) <!nodoc>,
+               gir-rust-code-generator,
                gir1.2-gdk-4.0-dev,
                gir1.2-gdkpixbuf-2.0-dev,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gir1.2-gtk-4.0-dev,
-               gir-rust-code-generator,
+               gobject-introspection (>= 1.0),
+               gsettings-desktop-schemas-dev,
                itstool,
                libadwaita-1-dev (>= 1.6.0),
                libarchive-dev (>= 3.6.0),
@@ -31,9 +30,9 @@
                libgdk-pixbuf-2.0-dev (>= 2.40),
                libgirepository1.0-dev (>= 1.0),
                libglib2.0-dev (>= 2.75),
-               libgtk-4-dev (>= 4.15.2),
+               libgtk-4-dev (>= 4.17.1),
                libnautilus-extension-dev (>= 43),
-               libpoppler-glib-dev (>= 23.07.0),
+               libpoppler-glib-dev (>= 25.01.0-4~),
                librust-bitflags-2-dev,
                librust-env-logger-0.11-dev,
                librust-futures-0.3-dev,
@@ -48,6 +47,7 @@
                librust-shell-words-1-dev,
                librust-system-deps-7-dev,
                librust-tempfile-3-dev <!nocheck>,
+               libspelling-1-dev,
                libtiff-dev (>= 4),
                meson (>= 0.59.0),
                rustfmt,
@@ -61,22 +61,17 @@
 
 Package: papers
 Architecture: any
-Depends: papers-common (>= ${source:Version}),
-         gsettings-desktop-schemas,
+Depends: gsettings-desktop-schemas,
          libppsdocument-4.0-5 (= ${binary:Version}),
          libppsview-4.0-4 (= ${binary:Version}),
+         papers-common (>= ${source:Version}),
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: djvu-viewer,
-          pdf-viewer,
-          postscript-viewer
-Suggests: gvfs,
-          nautilus-sendto,
-          poppler-data,
-          unrar
+Provides: djvu-viewer, pdf-viewer
+Suggests: gvfs, nautilus-sendto, poppler-data, unrar
 Enhances: nautilus
-Description: Document (PostScript, PDF) viewer
+Description: PDF document viewer for GNOME
  Papers is a simple multi-page document viewer. It can display and print
  Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
  Format (PDF) and TIFF files. When supported by the document, it also
@@ -86,7 +81,7 @@
 Package: papers-common
 Architecture: all
 Depends: ${misc:Depends}
-Description: Document (PostScript, PDF) viewer - common files
+Description: PDF document viewer for GNOME - common files
  Papers is a simple multi-page document viewer. It can display and print
  Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
  Format (PDF) and TIFF files. When supported by the document, it also
@@ -99,8 +94,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Document (Comic Books, DjVu, PDF) rendering library
  This package contains libppsdocument, which performs the rendering of the
  documents.
@@ -111,28 +105,27 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Description: Document (Comic Books, DjVu, PDF) rendering library - Gtk+ widgets
- This package contains libppsview, which provides GTK+ widgets for displaying
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Document (Comic Books, DjVu, PDF) rendering library - GTK widgets
+ This package contains libppsview, which provides GTK widgets for displaying
  documents.
 
 Package: libpapers-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${gir:Depends},
-         libadwaita-1-dev,
+Depends: libadwaita-1-dev,
          libppsdocument-4.0-5 (= ${binary:Version}),
          libppsview-4.0-4 (= ${binary:Version}),
-         ${misc:Depends},
-Provides: ${gir:Provides},
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Description: Document (Comic Books, DjVu, PDF) rendering library - development files
  This package contains papers-related libraries for rendering and displaying
  Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
  Portable Document Format (PDF) and TIFF files.
  * libppsdocument, which performs the rendering of the documents
- * libppsview, which provides GTK+ widgets for displaying documents
+ * libppsview, which provides GTK widgets for displaying documents
  .
  This package provides the development files.
 
@@ -148,7 +141,7 @@
  Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
  Portable Document Format (PDF) and TIFF files.
  * libppsdocument, which performs the rendering of the documents
- * libppsview, which provides GTK+ widgets for displaying documents
+ * libppsview, which provides GTK widgets for displaying documents
  .
  This package provides the developers' documentation.
 
@@ -156,9 +149,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-Provides: ${gir:Provides},
+Depends: ${gir:Depends}, ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the papers libraries
  Papers is a simple multi-page document viewer. It can display and print
  Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document

=== debian/rules ===
--- 
+++ 
@@ -30,45 +30,44 @@
 	dh $@
 
 execute_after_dh_auto_clean:
-	$(CARGO) -C $(CURDIR)/shell-rs -Z unstable-options clean
+	$(CARGO) -C $(CURDIR) -Z unstable-options clean
 	rm -rf $(CARGO_HOME)
 	rm -rf $(CARGO_REGISTRY)
 
 override_dh_auto_configure:
 	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
-	rm -f .cargo/config shell-rs/Cargo.lock
+	rm -f .cargo/config Cargo.lock
 	dh_auto_configure -- \
 		-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
 		-Dauto_features=enabled \
-		-Dxps=disabled \
 		-Ddocumentation=$(PAPERS_BUILD_DOC)
 
 # prepare dependencies so we can regenerate the Rust bindings source code during build
 # applying debian patches and upstream xmlstarlet fixes taken from upstream here: https://github.com/gtk-rs/gir-files/blob/master/fix.sh
 execute_before_dh_auto_build:
-	rm -f $(CURDIR)/shell-rs/ev-girs/*.gir
-	cp /usr/share/gir-1.0/GLib-2.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/Gdk-4.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/GdkPixbuf-2.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/GModule-2.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/Gio-2.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/Adw-1.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/GObject-2.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/Pango-1.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/HarfBuzz-0.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/freetype2-2.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/cairo-1.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/PangoCairo-1.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/Gtk-4.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/Gsk-4.0.gir $(CURDIR)/shell-rs/ev-girs
-	cp /usr/share/gir-1.0/Graphene-1.0.gir $(CURDIR)/shell-rs/ev-girs
+	rm -f $(CURDIR)/rust/pps-girs/*.gir
+	cp /usr/share/gir-1.0/GLib-2.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/Gdk-4.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/GdkPixbuf-2.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/GModule-2.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/Gio-2.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/Adw-1.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/GObject-2.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/Pango-1.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/HarfBuzz-0.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/freetype2-2.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/cairo-1.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/PangoCairo-1.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/Gtk-4.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/Gsk-4.0.gir $(CURDIR)/rust/pps-girs
+	cp /usr/share/gir-1.0/Graphene-1.0.gir $(CURDIR)/rust/pps-girs
 	xmlstarlet ed -L \
 	-u '//_:parameter[@name="response_id"]/_:type[@name="gint"]/@c:type' -v "GtkResponseType" \
 	-u '//_:parameter[@name="response_id"]/_:type[@name="gint"]/@name' -v "ResponseType" \
-	$(CURDIR)/shell-rs/ev-girs/Gtk-4.0.gir
+	$(CURDIR)/rust/pps-girs/Gtk-4.0.gir
 	xmlstarlet ed -L \
 	-d '///_:alias[@name="Int32"]' \
-	$(CURDIR)/shell-rs/ev-girs/freetype2-2.0.gir
+	$(CURDIR)/rust/pps-girs/freetype2-2.0.gir
 	xmlstarlet ed -L \
 	-i '///_:type[not(@name) and @c:type="hb_font_t*"]' -t 'attr' -n 'name' -v "gconstpointer" \
 	-u '//_:type[@c:type="hb_font_t*"]/@c:type' -v "gconstpointer" \
@@ -80,7 +79,7 @@
 	-u '//_:type[@c:type="hb_feature_t*"]/@c:type' -v "gconstpointer" \
 	-d '//_:record[@c:type="PangoGlyphVisAttr"]/_:field/@bits' \
 	-d '//_:record[@c:type="PangoGlyphVisAttr"]/_:field[@name="is_color"]' \
-	$(CURDIR)/shell-rs/ev-girs/Pango-1.0.gir
+	$(CURDIR)/rust/pps-girs/Pango-1.0.gir
 	xmlstarlet ed -L \
 	-u '//*[@glib:error-domain="g-option-context-error-quark"]/@glib:error-domain' -v g-option-error-quark \
 	-u '//_:record[@name="KeyFile"]/_:method[@name="set_boolean_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gboolean*" \
@@ -88,7 +87,7 @@
 	-u '//_:record[@name="KeyFile"]/_:method[@name="set_integer_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gint*" \
 	-u '//_:record[@name="KeyFile"]/_:method[@name="set_locale_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
 	-u '//_:record[@name="KeyFile"]/_:method[@name="set_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
-	$(CURDIR)/shell-rs/ev-girs/GLib-2.0.gir
+	$(CURDIR)/rust/pps-girs/GLib-2.0.gir
 	xmlstarlet ed -L \
 	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="names"]/_:array/@c:type' -v "const gchar**" \
 	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="values"]/_:array/@c:type' -v "GValue*" \
@@ -98,11 +97,11 @@
 	-u '//_:class[@name="Object"]/_:constructor[@name="new_with_properties"]//_:parameter[@name="values"]/_:array/@c:type' -v "const GValue*" \
 	-i '//_:interface[@name="TypePlugin" and not(@glib:type-struct)]' -t 'attr' -n 'glib:type-struct' -v 'TypePluginClass' \
 	-i '//_:record[@name="TypePluginClass" and not(@glib:is-gtype-struct-for)]' -t 'attr' -n 'glib:is-gtype-struct-for' -v 'TypePlugin' \
-	$(CURDIR)/shell-rs/ev-girs/GObject-2.0.gir
+	$(CURDIR)/rust/pps-girs/GObject-2.0.gir
 	xmlstarlet ed -L \
 	-u '//_:record[@name="PixbufModule"]/_:field[@name="module"]/_:type/@name' -v "gpointer" \
 	-u '//_:record[@name="PixbufModule"]/_:field[@name="module"]/_:type/@c:type' -v "gpointer" \
-	$(CURDIR)/shell-rs/ev-girs/GdkPixbuf-2.0.gir
+	$(CURDIR)/rust/pps-girs/GdkPixbuf-2.0.gir
 	xmlstarlet ed -L \
 	-d '///_:function[@c:identifier="hb_graphite2_face_get_gr_face"]' \
 	-d '///_:function[@c:identifier="hb_graphite2_font_get_gr_font"]' \
@@ -114,7 +113,7 @@
 	-d '///_:function[@c:identifier="hb_ft_font_create_referenced"]' \
 	-d '///_:function[@c:identifier="hb_ft_font_get_face"]' \
 	-d '///_:function[@c:identifier="hb_ft_font_lock_face"]' \
-	$(CURDIR)/shell-rs/ev-girs/HarfBuzz-0.0.gir
+	$(CURDIR)/rust/pps-girs/HarfBuzz-0.0.gir
 
 override_dh_makeshlibs:
 	dh_makeshlibs \

## papers 48.0

=== debian/changelog ===
papers (48.0-1ubuntu1.25.10.1) questing; urgency=medium

  * Fix Nautilus crash when inspecting properties of a comics file
    (LP: #2129791)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 31 Oct 2025 18:06:34 +0100

papers (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Branch for Ubuntu
    - Add Build-Depends: dh-sequence-translations
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field
    - Simplify debian/rules
  * Update vendored Rust crates etc.
  * Update debian/README.source to mention cargo-vendor-filterer

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 15:49:50 -0400

papers (48.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
  * Temporarily disable gir re-generation to bypass #1100054
  * Bump minimum poppler to 25.03
  * debian/*.symbols: Update
  * Remove unused lintian overrides
  * Update debian/copyright
  * Add patch to relax Rust dependencies to versions currently in Debian
  * Remove patch that attempted to lower poppler dependency
  * Update AppArmor syntax from #include to include

  [ Arnaud Ferraris ]
  * apparmor: Add mesa abstractions (Closes: #1098717)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 15:42:50 -0400

papers (48~beta-3ubuntu4) plucky; urgency=medium

  * debian/control.in: Build-Depend on dh-sequence-translations

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Mar 2025 15:46:09 +0100

papers (48~beta-3ubuntu3) plucky; urgency=medium

  * Add patch to change display name to Document Viewer.
    GNOME will make this change when they switch their default PDF app
    from Evince. Since we are switching early, let's change this now.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 18:36:13 -0400

papers (48~beta-3ubuntu2) plucky; urgency=medium

  * Disable Build-Depends unneeded for Ubuntu's build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 11:29:01 -0500

papers (48~beta-3ubuntu1) plucky; urgency=medium

  * Branch for Ubuntu
  * Add debian/.gitignore to avoid static libraries
  * Add patch to build with vendored crates
  * Disable patch unneeded by Ubuntu build
  * Vendor Rust crate build dependencies into debian/missing-sources/
    as required by current Ubuntu MIR policy
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * Simplify debian/rules
  * Update debian/copyright
  * Remove unused lintian overrides

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 22:48:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: papers
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
@@ -10,10 +11,11 @@
                dh-apparmor,
                dh-cargo,
                dh-sequence-gir,
+               dh-sequence-translations,
                appstream,
                desktop-file-utils,
                gi-docgen (>= 2021.1) <!nodoc>,
-               gir-rust-code-generator,
+#               gir-rust-code-generator,
                gir1.2-gdk-4.0-dev,
                gir1.2-gdkpixbuf-2.0-dev,
                gir1.2-gio-2.0-dev,
@@ -32,31 +34,31 @@
                libglib2.0-dev (>= 2.75),
                libgtk-4-dev (>= 4.17.1),
                libnautilus-extension-dev (>= 43),
-               libpoppler-glib-dev (>= 25.01.0-4~),
-               librust-bitflags-2-dev,
-               librust-env-logger-0.11-dev,
-               librust-futures-0.3-dev,
-               librust-gettext-rs-0.7+gettext-system-dev,
-               librust-glib-0.20+v2-68-dev,
-               librust-gtk4-0.9+v4-12-dev,
-               librust-libadwaita-0.7+v1-5-dev,
-               librust-libc-0.2-dev,
-               librust-log-0.4-dev,
-               librust-lru-0.12-dev,
-               librust-oo7-0.3-dev,
-               librust-shell-words-1-dev,
-               librust-system-deps-7-dev,
-               librust-tempfile-3-dev <!nocheck>,
+               libpoppler-glib-dev (>= 25.01.0-3~),
+#               librust-bitflags-2-dev,
+#               librust-env-logger-0.11-dev,
+#               librust-futures-0.3-dev,
+#               librust-gettext-rs-0.7+gettext-system-dev,
+#               librust-gtk4+gnome-45-dev,
+#               librust-libadwaita-0.7+v1-5-dev,
+#               librust-libc-0.2-dev,
+#               librust-log-0.4-dev,
+#               librust-lru-0.12-dev,
+#               librust-oo7-0.3-dev,
+#               librust-shell-words-1-dev,
+#               librust-system-deps-7-dev,
+#               librust-tempfile-3-dev <!nocheck>,
                libspelling-1-dev,
                libtiff-dev (>= 4),
                meson (>= 0.59.0),
-               rustfmt,
-               xmlstarlet,
+#               rustfmt,
+#               xmlstarlet,
                zlib1g-dev
 Rules-Requires-Root: no
+XS-Vendored-Sources-Rust: aes@0.8.4, aho-corasick@1.1.3, allocator-api2@0.2.21, anstream@0.6.18, anstyle-parse@0.2.6, anstyle-query@1.1.2, anstyle@1.0.10, async-broadcast@0.7.2, async-channel@2.3.1, async-executor@1.13.1, async-fs@2.1.2, async-io@2.4.0, async-lock@3.4.0, async-net@2.0.0, async-task@4.7.1, async-trait@0.1.86, atomic-waker@1.1.2, autocfg@1.4.0, bitflags@2.8.0, block-buffer@0.10.4, block-padding@0.3.3, blocking@1.6.1, byteorder@1.5.0, cairo-rs@0.20.7, cairo-sys-rs@0.20.7, cbc@0.1.2, cc@1.2.14, cfg-expr@0.17.2, cfg-if@1.0.0, cfg_aliases@0.2.1, cipher@0.4.4, colorchoice@1.0.3, concurrent-queue@2.5.0, cpufeatures@0.2.17, crossbeam-utils@0.8.21, crypto-common@0.1.6, digest@0.10.7, endi@1.1.0, enumflags2@0.7.11, enumflags2_derive@0.7.11, env_filter@0.1.3, env_logger@0.11.6, equivalent@1.0.2, errno@0.3.10, event-listener-strategy@0.5.3, event-listener@5.4.0, fastrand@2.3.0, field-offset@0.3.6, foldhash@0.1.4, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.0, futures-macro@0.3.31, futures-sink@0.3.31, futures-task@0.3.31, futures-util@0.3.31, futures@0.3.31, gdk-pixbuf-sys@0.20.7, gdk-pixbuf@0.20.9, gdk4-sys@0.9.6, gdk4@0.9.6, generic-array@0.14.7, getrandom@0.2.15, getrandom@0.3.1, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.20.9, gio@0.20.9, glib-macros@0.20.7, glib-sys@0.20.9, glib@0.20.9, gobject-sys@0.20.9, graphene-rs@0.20.9, graphene-sys@0.20.7, gsk4-sys@0.9.6, gsk4@0.9.6, gtk4-macros@0.9.5, gtk4-sys@0.9.6, gtk4@0.9.6, hashbrown@0.15.2, heck@0.5.0, hex@0.4.3, hkdf@0.12.4, hmac@0.12.1, humantime@2.1.0, indexmap@2.7.1, inout@0.1.3, is_terminal_polyfill@1.70.1, lazy_static@1.5.0, libadwaita-sys@0.7.1, libadwaita@0.7.1, libc@0.2.169, libm@0.2.11, linux-raw-sys@0.4.15, locale_config@0.3.0, log@0.4.25, lru@0.13.0, md-5@0.10.6, memchr@2.7.4, memoffset@0.9.1, nix@0.29.0, num-bigint-dig@0.8.4, num-bigint@0.4.6, num-complex@0.4.6, num-integer@0.1.46, num-iter@0.1.45, num-rational@0.4.2, num-traits@0.2.19, num@0.4.3, once_cell@1.20.3, oo7@0.3.3, ordered-stream@0.2.0, pango-sys@0.20.9, pango@0.20.9, parking@2.2.1, pbkdf2@0.12.2, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.31, polling@3.7.4, ppv-lite86@0.2.20, proc-macro-crate@3.2.0, proc-macro2@1.0.93, quote@1.0.38, rand@0.8.5, rand_chacha@0.3.1, rand_core@0.6.4, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, rustc_version@0.4.1, rustix@0.38.44, semver@1.0.25, serde@1.0.218, serde_derive@1.0.218, serde_repr@0.1.19, serde_spanned@0.6.8, sha1@0.10.6, sha2@0.10.8, shell-words@1.1.0, shlex@1.3.0, slab@0.4.9, smallvec@1.14.0, spin@0.9.8, static_assertions@1.1.0, subtle@2.6.1, syn@2.0.98, system-deps@7.0.3, target-lexicon@0.12.16, temp-dir@0.1.14, tempfile@3.17.1, toml@0.8.20, toml_datetime@0.6.8, toml_edit@0.22.24, tracing-attributes@0.1.28, tracing-core@0.1.33, tracing@0.1.41, typenum@1.18.0, unicode-ident@1.0.17, utf8parse@0.2.2, version-compare@0.2.0, version_check@0.9.5, winnow@0.7.3, xdg-home@1.3.0, zbus@4.4.0, zbus_macros@4.4.0, zbus_names@3.0.0, zerocopy-derive@0.7.35, zerocopy@0.7.35, zeroize@1.8.1, zeroize_derive@1.4.2, zvariant@4.2.0, zvariant_derive@4.2.0, zvariant_utils@2.1.0
 Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/papers
-Vcs-Git: https://salsa.debian.org/gnome-team/papers.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/papers/-/tree/ubuntu/questing
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/papers.git -b ubuntu/questing
 Homepage: https://apps.gnome.org/Papers/
 
 Package: papers

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifeq ($(DEB_HOST_ARCH_BITS),32)
    export DEB_BUILD_OPTIONS += optimize=-lto
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
    PAPERS_BUILD_DOC=true
else
    PAPERS_BUILD_DOC=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddocumentation=$(PAPERS_BUILD_DOC)

execute_before_dh_auto_build:
	mkdir -p debian/missing-sources/system-deps/src/tests/lib/
	touch debian/missing-sources/system-deps/src/tests/lib/libteststatic.a

execute_after_dh_auto_build:
	rm -rf debian/missing-sources/system-deps/src/tests/lib/

override_dh_makeshlibs:
	dh_makeshlibs \
		-X /usr/lib/$(DEB_HOST_MULTIARCH)/papers/

execute_after_dh_install:
	install -m 0644 -D debian/apparmor-profile debian/papers/etc/apparmor.d/usr.bin.papers
	install -m 0644 -D debian/apparmor-profile.abstraction debian/papers/etc/apparmor.d/abstractions/papers
	install -m 0644 -D debian/papers.apport debian/papers/usr/share/apport/package-hooks/source_papers.py
	dh_apparmor --profile-name=usr.bin.papers -ppapers

override_dh_gnome_clean:

=== debian/tests/control ===
Tests: libpapers-dev
Depends: build-essential, dbus, libpapers-dev, xauth, xvfb
Restrictions: allow-stderr superficial

## papers 48.2

=== debian/changelog ===
papers (48.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 10:06:02 -0400

papers (48.1-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: dh-sequence-gnome
  * Salsa CI: stop disabling reproducibility check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 09:42:35 -0400

papers (48.0-2) unstable; urgency=medium

  * Re-enable gir regeneration

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 25 Mar 2025 16:40:30 -0400
